<div class="container main-container">

  <div class="row">
    <div class="col-sm-12">
      <div class="form-group row">
        <label class="col-sm-1 col-form-label">Search: </label>
        <div class="col-sm-11">
          <input class="form-control" type="text" #input name="search" (keyup.enter)="searchMovie(input.value)"
            placeholder="...">
        </div>
        
      </div>
    </div>
  </div>
  
  <div class="row animated fadeIn">
    <div class="card-columns">

      <div class="card" *ngFor="let movie of _mService.movies" (click)="thisMovie(movie.id)">
        <img class="card-img-top pointer" [src]="movie | moviesImage" [alt]="movie.original_title">
        <div class="card-body pointer">
          <h5 class="card-title">{{ movie.original_title }}</h5>
          <p class="card-text text-justify">{{ movie.overview | slice:0:270 }}...</p>
          <h5 class="card-title">Genre: {{ movie | genre }}</h5>
          <button type="button" [routerLink]="['/movie',movie.id,'search','search']" class="btn btn-outline-secondary btn-block">
            Ver mas...
          </button>
        </div>
      </div>


    </div>
  </div>
</div>